This API allows to you to manage coupons.
- Activate/Deactivate project's upsell
Get information about upsell in project
Create upsell
Update upsell
Activate/Deactivate proje...
LiveOps API (2.0.0)
- Version: 2.0.0
- Servers:
https://store.xsolla.com/api - Contact Us by Email
- Contact URL: https://xsolla.com/
- Required TLS version: 1.2
LiveOps is a toolkit for driving ongoing player engagement through promotions and personalized offers.
Use the API to manage the following features:
- Promotions — create and manage coupons, promo codes, discounts, and bonus campaigns.
- Personalization — specify the conditions for displaying the item catalog and applying promotions only for certain authorized users.
- Promotion limits — set a limit on how many times a promotion can be used by a user and configure scheduled resets for these limits.
- Reward chains & Value points — configure reward progressions tied to value point accumulation.
- Daily chains — set up recurring daily rewards to motivate regular logins.
- Offer chains — build sequential purchase offers with per-step pricing and free reward options.
- Upsell — a sales method in which the user is offered to buy an item with additional value.
The API is divided into the following groups:
Admin — calls for creating, updating, activating, and deleting campaigns and chain configurations. Authenticated via basic access authentication with your merchant or project credentials.Client — calls for retrieving available promotions, getting active chains, redeeming codes, and claiming rewards on behalf of authenticated end users. Authenticated via user JWT.
Download OpenAPI description
Languages
Servers
https://store.xsolla.com/api/
Mock server
https://xsolla.redocly.app/_mock/api/liveops/
Personalized catalog
This API allows to specify rules for user attributes. If the user meets all conditions for a concrete rule, personalized items will be shown.
For personalized promotions see Promotions section.
To pass attributes before a purchase, you can use Xsolla Login API or pass them into user.attributes property while generating token using Pay Station API.
Operations
Path
Bodyapplication/jsonProject ID. You can find this parameter in your Publisher Account next to the name of the project.
Example: 44056
- https://store.xsolla.com/api/v2/project/{project_id}/admin/items/upsell
- Mock serverhttps://xsolla.redocly.app/_mock/api/liveops/v2/project/{project_id}/admin/items/upsell
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
https://store.xsolla.com/api/v2/project/44056/admin/items/upsell \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"is_enabled": true,
"type": "fixed_list",
"items": [
"game_sku_1",
"game_sku_2",
"game_sku_3"
]
}'Path
Project ID. You can find this parameter in your Publisher Account next to the name of the project.
Example: 44056
- https://store.xsolla.com/api/v2/project/{project_id}/admin/items/upsell/{toggle}
- Mock serverhttps://xsolla.redocly.app/_mock/api/liveops/v2/project/{project_id}/admin/items/upsell/{toggle}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
https://store.xsolla.com/api/v2/project/44056/admin/items/upsell/activate \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'